package v2;

import sun.text.resources.CollationData_ro;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

/**
 * Created with IntelliJ IDEA.
 * User: Vladimir
 * Date: 7.6.2013
 * Time: 14:14
 */
public class ImageBasedFloor implements Floor{

    private BufferedImage image;

    public void init(File file){

        try {
            image = ImageIO.read(file);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }


    @Override
    public double get(double x, double y) {
        Color color = new Color(image.getRGB((int)x,(int)y));
        return (color.getBlue() + color.getGreen() + color.getRed()) / (3*255d);
    }
}
